Subject: Re: bug#24134: problem with fgrep - only matches if I leave off the last character of the line

From: Paul Eggert <[email-masked]>
Date: Tue, 2 Aug 2016 09:54:43 -0700

SZIGETVÁRI János wrote:
> I tried to look for already closed bugs that looked similar, but I did not
> manage to find anything similar.

Thanks for the bug report. We have fixed several bugs with fgrep since grep 2.16 
came out. For what it's worth, I could not reproduce the bug with grep 2.20 
(RHEL 6.8) either. Since the bug does not appear to occur with recent grep 
versions, I'm inclined to close the bug report.